Name:           xdg-utils
Version:        1.0.1
%define		subrel 1
Release:        %mkrel 3
Summary:        Interfaces and Tools to allow all applications to easily integrate with the free desktop configuration
License:        GPL
Url:            http://portland.freedesktop.org/wiki/
Group:          System/Base
Source0:        http://portland.freedesktop.org/download/%{name}-%version.tar.bz2
# (fc) 1.0.1-3mdv fix default applications for mimetype detection
Patch0:		xdg-utils-1.0.1-fixdefault.patch
Patch1:		xdg-utils-CVE-2008-0386.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:       libxslt-proc
%description

This version of xdg-utils contains the following commands:
xdg-desktop-menu:	command line tool for (un)installing 
			desktop menu items
xdg-desktop-icon:	command line tool for (un)installing 
			icons to the desktop
xdg-mime:	        command line tool for querying information 
			about file type handling and adding 
			descriptions for new file types
xdg-icon-resource:	command line tool for (un)installing icon resources
xdg-open:	        opens a file or URL in the user's preferred 
			application
xdg-email:	        command line tool for sending mail using the user's 
			preferred 
			e-mail composer
xdg-su:	                run a program as root after prompting for the root 
			password
xdg-screensaver:	command line tool for controlling the screensaver

Testsuite for xdg-utils is available from http://portland.freedesktop.org/wiki/TestSuite

%files
%defattr(-,root,root,-)
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_mandir}/man1/xdg-desktop-icon.1.bz2
%{_mandir}/man1/xdg-desktop-menu.1.bz2
%{_mandir}/man1/xdg-email.1.bz2
%{_mandir}/man1/xdg-icon-resource.1.bz2
%{_mandir}/man1/xdg-mime.1.bz2
%{_mandir}/man1/xdg-open.1.bz2
%{_mandir}/man1/xdg-screensaver.1.bz2

#-------------------------------------------------------------------------------#


%prep
%setup -q 
%patch0 -p1 -b .fixdefault
%patch1 -p1 -b .cve-2008-0386

%build
%configure2_5x

%install
rm -rf %buildroot

%makeinstall_std


%changelog
* Thu Jan 31 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.1-3.1mdv2007.1
- P1: security fix for CVE-2008-0386

* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-3mdv2007.0
+ Revision: 123080
-Drop test-suite subpackage, not working correctly
-Patch0: fix xdg-mime default applications (Mdv bug #28711)

* Thu Nov 30 2006 Laurent Montel <lmontel@mandriva.com> 1.0.1-2mdv2007.1
+ Revision: 89361
- Increase release
- Separate test suite file into own package

* Wed Nov 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 84271
- Fix spec
- Use good tarball
- New release 1.0.1
- xdg-utils-1.0-0.rc1.1mdv2007.0
- xdg-utils-1.0-0.beta3.1mdv2007.0
- Remove Patch0: Merged upstream
- Fix patch 0: thanks chty for your tests
- Use right release
- Increase release
- Fix wrong requires (thanks chty)

* Sun Aug 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.beta1.3mdv2007.0
+ Revision: 53417
- Increase release
- Add Mandriva in the result of the test suite
  before :  distribution: distribution unknown
  now    :  distribution: Mandriva Linux 2007.0
- Package the test-suite too
- Add Requires

* Sat Aug 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.beta1.2mdv2007.0
+ Revision: 53194
-1.0 beta2
- Fix description
- Increase release
- import xdg-utils-1.0-0.beta1.0mdv2007.0


